JDBCAdapter (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.jdbc.JDBCAdapter interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.jdbc
Interface JDBCAdapter

All Known Implementing Classes:
  DefaultJDBCAdapter

public interface JDBCAdapter

Version:
  $Revision: 1.4 $

Nested Class Summary
`static interface` | `JDBCAdapter.MessageListResultHandler`

Method Summary
`void` | `doAddMessage(Connection c, long seq, String messageID, String destinationName, byte[] data)`
`void` | `doAddXid(Connection c, ActiveMQXid xid, byte[] data)`
`void` | `doCreateTables(Connection c)`
`byte[]` | `doGetMessage(Connection c, long seq)`
`SubscriberEntry` | `doGetSubscriberEntry(Connection c, String destinationName, String sub)`
`void` | `doGetXids(Connection c, List list)`
`void` | `doLoadPreparedTransactions(Connection c, TransactionManager transactionManager)`
`void` | `doRecover(Connection c, String destinationName, JDBCAdapter.MessageListResultHandler listener)`
`void` | `doRecoverSubscription(Connection c, String destinationName, String sub, JDBCAdapter.MessageListResultHandler listener)`
`void` | `doRemoveMessage(Connection c, long seq)`
`void` | `doRemoveXid(Connection c, ActiveMQXid xid)`
`void` | `doSetLastAck(Connection c, String destinationName, String sub, long seq)`
`void` | `doSetSubscriberEntry(Connection c, String destinationName, String sub, SubscriberEntry subscriberEntry)`
`Long` | `getMessageSequenceId(Connection c, String messageID)`
`LongSequenceGenerator` | `getSequenceGenerator()`
`void` | `initSequenceGenerator(Connection c)`

Method Detail

### getSequenceGenerator

    public LongSequenceGenerator getSequenceGenerator()

### doCreateTables

    public void doCreateTables(Connection c)
                        throws SQLException

  Throws:
    `SQLException`

### initSequenceGenerator

    public void initSequenceGenerator(Connection c)

### doAddMessage

    public void doAddMessage(Connection c,
                             long seq,
                             String messageID,
                             String destinationName,
                             byte[] data)
                      throws SQLException,
                             JMSException

  Throws:
    `SQLException`
    `JMSException`

### doGetMessage

    public byte[] doGetMessage(Connection c,
                               long seq)
                        throws SQLException

  Throws:
    `SQLException`

### doRemoveMessage

    public void doRemoveMessage(Connection c,
                                long seq)
                         throws SQLException

  Throws:
    `SQLException`

### doRecover

    public void doRecover(Connection c,
                          String destinationName,
                          JDBCAdapter.MessageListResultHandler listener)
                   throws SQLException,
                          JMSException

  Throws:
    `SQLException`
    `JMSException`

### doGetXids

    public void doGetXids(Connection c,
                          List list)
                   throws SQLException

  Throws:
    `SQLException`

### doRemoveXid

    public void doRemoveXid(Connection c,
                            ActiveMQXid xid)
                     throws SQLException,
                            XAException

  Throws:
    `SQLException`
    `XAException`

### doAddXid

    public void doAddXid(Connection c,
                         ActiveMQXid xid,
                         byte[] data)
                  throws SQLException,
                         XAException

  Throws:
    `SQLException`
    `XAException`

### doLoadPreparedTransactions

    public void doLoadPreparedTransactions(Connection c,
                                           TransactionManager transactionManager)
                                    throws SQLException

  Throws:
    `SQLException`

### doSetLastAck

    public void doSetLastAck(Connection c,
                             String destinationName,
                             String sub,
                             long seq)
                      throws SQLException,
                             JMSException

  Throws:
    `SQLException`
    `JMSException`

### doRecoverSubscription

    public void doRecoverSubscription(Connection c,
                                      String destinationName,
                                      String sub,
                                      JDBCAdapter.MessageListResultHandler listener)
                               throws SQLException,
                                      JMSException

  Throws:
    `SQLException`
    `JMSException`

### doSetSubscriberEntry

    public void doSetSubscriberEntry(Connection c,
                                     String destinationName,
                                     String sub,
                                     SubscriberEntry subscriberEntry)
                              throws SQLException,
                                     JMSException

  Throws:
    `SQLException`
    `JMSException`

### doGetSubscriberEntry

    public SubscriberEntry doGetSubscriberEntry(Connection c,
                                                String destinationName,
                                                String sub)
                                         throws SQLException,
                                                JMSException

  Throws:
    `SQLException`
    `JMSException`

### getMessageSequenceId

    public Long getMessageSequenceId(Connection c,
                                     String messageID)
                              throws SQLException,
                                     JMSException

  Throws:
    `SQLException`
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.